<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Cause StructType
 * @subpackage Structs
 */
abstract class Cause extends AbstractStructBase
{
    /**
     * The causeExtension
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ExtensionType
     */
    public $causeExtension;
    /**
     * Constructor method for Cause
     * @uses Cause::setCauseExtension()
     * @param \StructType\ExtensionType $causeExtension
     */
    public function __construct(\StructType\ExtensionType $causeExtension = null)
    {
        $this
            ->setCauseExtension($causeExtension);
    }
    /**
     * Get causeExtension value
     * @return \StructType\ExtensionType|null
     */
    public function getCauseExtension()
    {
        return $this->causeExtension;
    }
    /**
     * Set causeExtension value
     * @param \StructType\ExtensionType $causeExtension
     * @return \StructType\Cause
     */
    public function setCauseExtension(\StructType\ExtensionType $causeExtension = null)
    {
        $this->causeExtension = $causeExtension;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Cause
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
